Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect.function
Class SQLFunctionRegistry

    java.lang.Object
      org.hibernate.dialect.function.SQLFunctionRegistry

    public class SQLFunctionRegistry

extends Object

Constructor Summary
`SQLFunctionRegistry(Dialect dialect, Map<String,SQLFunction> userFunctions)`

Method Summary
`SQLFunction` | `findSQLFunction(String functionName)`
`boolean` | `hasFunction(String functionName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLFunctionRegistry

    public SQLFunctionRegistry(Dialect dialect,
                               Map<String,SQLFunction> userFunctions)

Method Detail

### findSQLFunction

    public SQLFunction findSQLFunction(String functionName)

### hasFunction

    public boolean hasFunction(String functionName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.